
TextCritical.net - Bug #440

Feature # 403 (Closed): Perseus Book Importer

Importer fails on works with milestone that do not have an indicator

11/14/2012 06:40 AM - Luke Murphey

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

reader.importer.PerseusBatchImporter: Exception generated when attempting to process file="dh.hist

04_gk.xml" 

Traceback (most recent call last):

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchIm

porter.py", line 326, in process_directory

    if self.__process_file__( os.path.join( root, f) ):

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchIm

porter.py", line 277, in __process_file__

    return self.process_file(file_path, document_xml, title, author, language)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchIm

porter.py", line 449, in process_file

    perseus_importer.import_file(file_path)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 139, in import_file

    return self.import_xml_document(doc)

  File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/django/db/tr

ansaction.py", line 209, in inner

    return func(*args, **kwargs)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 586, in import_xml_document

    verses_created = self.make_verses(divisions, current_state_set)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 604, in make_verses

    verses_created = verses_created + self.make_verses_for_division(division, state_set)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 627, in make_verses_for_division

    return self.import_verse_content( division, root_node, state_set)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 822, in import_verse_content

    verses_created_temp, created_verse_node = self.import_verse_content(division, node, state_set,

 import_context, parent_node=next_level_node, recurse=True)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 778, in import_verse_content

    import_context.verse.indicator = node.attributes["n"].value

  File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/xml/dom/minidom.py", line 

524, in __getitem__

    return self._attrs[attname_or_tuple]

Associated revisions

Revision 153 - 11/16/2012 11:51 PM - Luke Murphey

Fixed issue where works can not be imported if they have a milestone without an "n" attribute which indicates the number of the milestone.

Reference #440.
Revision 153 - 11/16/2012 11:51 PM - Luke Murphey

Fixed issue where works can not be imported if they have a milestone without an "n" attribute which indicates the number of the milestone.

Reference #440.

Revision 147 - 11/16/2012 11:51 PM - Luke Murphey

Fixed issue where works can not be imported if they have a milestone without an "n" attribute which indicates the number of the milestone.

Reference #440.

History

#1 - 11/14/2012 06:41 AM - Luke Murphey

- Parent task set to #403

#2 - 11/16/2012 08:30 AM - Luke Murphey

- Status changed from New to In Progress

#3 - 11/17/2012 12:16 AM - Luke Murphey

- % Done changed from 0 to 100

#4 - 11/17/2012 12:45 AM - Luke Murphey

- Status changed from In Progress to Closed
